#import "Controller.h"


@interface TestView : NSView
{
	@public
	BOOL isFlipped;
}

@end

@implementation TestView

#ifndef GNUSTEP
- (BOOL) isFlipped
{
	return isFlipped;
}
#endif

- (void) drawRect: (NSRect)aRect
{
	NSImage *appImg = [NSImage imageNamed: @"NSApplicationIcon"];
	NSSize imgSize = [appImg size];

	[[NSColor redColor] set];
	NSRectFill(NSMakeRect(50, 0, 50, 50));

	[appImg drawInRect: NSMakeRect(0, 50, 50, 50) 
		fromRect: NSMakeRect(0, 0, imgSize.width, imgSize.height)
		operation: NSCompositeSourceOver
		fraction: 1.0];
}

@end

@implementation Controller

- (void) applicationDidFinishLaunching: (NSNotification *)notif
{
	NSLog(@"App launched %@", notif);
}

- (void) awakeFromNib
{
	TestView *view1 = [[TestView alloc] initWithFrame: NSMakeRect(0, 0, 100, 200)];
	TestView *view2 = [[TestView alloc] initWithFrame: NSMakeRect(150, 0, 100, 200)];

#ifdef GNUSTEP
	view1->_rFlags.flipped_view = YES;
#else
	view1->isFlipped = YES;
#endif

	[[window contentView] addSubview: view1];
	[[window contentView] addSubview: view2];
}

@end
